{% extends 'shopapp/base.html' %}

{% block title %}
    Product №{{ product.pk }}
{% endblock %}

{% block body %}
    <h1>Product <strong>{{ product.name }}</strong></h1>
    <div>
        <div>Description: <em>{{ product.description }}</em></div>
        <div>Price: {{ product.price }}</div>
        <div>Discount: {{ product.discount }}</div>
        <div>Archived: {{ product.archived }}</div>
        {% if product.preview %}
            <img src="{{ product.preview.url }}" alt="{{ product.preview.name }}">
        {% endif %}
        <h3>Images:</h3>
        <div>
            {% for img in product.images.all %}
                <div>
                    <img src="{{ img.image.url }}" alt="{{ img.image.name }}">
                    <div>{{ img.description }}</div>
                </div>
            {% empty %}
                <div>No images uploaded yet</div>
            {% endfor %}
        </div>
    </div>
    <br>
    <div align="right">
        <a href="{% url 'shopapp:product_update' pk=product.pk %}">Update product</a>
        <br>
        <a href="{% url 'shopapp:product_delete' pk=product.pk %}">Archived product</a>
        <br>
        <a href="{% url 'shopapp:products_list' %}">Back to Products list</a>
    </div>
{% endblock %}